Name:           rosinstall
Version:        0.6.17
Release:        1%{?dist}
Summary:        ROS installation utilities

License:        BSD
URL:            http://www.ros.org/wiki/rosinstall
BuildArch:      noarch
#source obtained from hg snapshot:
#hg clone https://kforge.ros.org/vcstools/rosinstall; cd rosinstall
#hg checkout 0.6.17; rm -rf .hg*; cd ..; mv rosinstall rosinstall-0.6.17
#tar cjf rosinstall-0.6.17.tar.bz2 rosinstall-0.6.17
Source0:        %{name}-%{version}.tar.bz2

BuildRequires:  python-devel
BuildRequires:  python-setuptools-devel
BuildRequires:  python-sphinx
Requires:       python-vcstools

%description
rosinstall is a tool to check out ROS source code (or any source code, really)
from multiple version control repositories and updating these checkouts. Given 
a *.rosinstall file that specifies where to get code, rosinstall will check 
out a working copy for you. 


%prep
%setup -q


%build
pushd doc
make html
make man
popd

%install
%{__python} setup.py install --root $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_mandir}/man1
install -p -m 0644 doc/_build/man/%{name}.1 $RPM_BUILD_ROOT%{_mandir}/man1/
rm -rf doc/_build/html/.buildinfo

%files
%doc doc/_build/html
%{_bindir}/*
%{python_sitelib}/%{name}
%{python_sitelib}/%{name}-%{version}-py2.7.egg-info
%{_mandir}/man1/%{name}.1.gz

%changelog
* Wed Jun 06 2012 Rich Mattes <richmattes@gmail.com> - 0.6.17-1
- Update to release 0.6.17

* Wed Apr 25 2012 Rich Mattes <richmattes@gmail.com> - 0.6.15-1
- Initial package
